
// /**分页查询接口重试日志 */
import request from '@/utils/request';

import { UPCLOUD_RDC_TMS_BUSINESS_SERVICE, UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js';
const business = UPCLOUD_RDC_TMS_BUSINESS_SERVICE
export const mainTableInfoUrl = business + '/transport_plan_bill/plan_bill_page'

// @UserLog("周日历计划单查询")
//@ApiOperation(value = "周日历计划单查询", notes = "周日历计划单查询")
//@PostMapping("/week_plan_bill")

export const getWee = (_this, data) => {
  _this.loading = true
  return request({
    url: business + '/transport_plan_bill/week_plan_bill',
    method: 'post',
    data,
  }).then((response, reject) => {
    if (response.success) {

      return response.data
    } else {
      _this.$exception(response)
    }
  })
    .finally((response) => {
      _this.loading = false

    })
}

export const getMonth = (_this, data) => {
  _this.loading = true
  return request({
    url: business + '/transport_plan_bill/month_plan_bill',
    method: 'post',
    data,
  }).then((response, reject) => {
    if (response.success) {

      return response.data
    } else {
      _this.$exception(response)
    }
  })
    .finally((response) => {
      _this.loading = false

    })
}